# Generated by Django 5.0.7 on 2024-08-16 23:44

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

def create_groups_for_existing_apps(apps, schema_editor):
    # Get the models
    App = apps.get_model('normal_users', 'Application')
    AppRoleGroup = apps.get_model('access', 'AppRoleGroup')

    # Create a "editor" and "viewer" group for each existing app
    for app in App.objects.all():
        AppRoleGroup.objects.create(app=app, role='editor')
        AppRoleGroup.objects.create(app=app, role='viewer')

class Migration(migrations.Migration):

    dependencies = [
        ('access', '0001_initial'),
        ('normal_users', '0014_alter_application_authentication_and_more'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='AppRoleGroup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('role', models.CharField(choices=[('editor', 'Editor'), ('viewer', 'Viewer')], max_length=20)),
                ('app', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='normal_users.application')),
                ('users', models.ManyToManyField(to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'app_role_groups',
            },
        ),
        migrations.RunPython(create_groups_for_existing_apps)
    ]
